package com.srs.comprehensive.mapper;

import java.util.List;
import com.srs.comprehensive.domain.CphRules;

/**
 * 规则Mapper接口
 * 
 * @author srs
 * @date 2023-07-03
 */
public interface CphRulesMapper 
{

    public List<CphRules> selectIamChildType();

    public List<CphRules> selectClassTwoChildType();

    public List<CphRules> listAllRules();

    /**
     * 查询规则
     * 
     * @param ruleId 规则主键
     * @return 规则
     */
    public CphRules selectCphRulesByRuleId(Long ruleId);

    /**
     * 查询规则
     *
     * @param ParentId 通过父类id查询
     * @return 规则
     */
    public List<CphRules> selectCphRulesByParentId(Long ParentId);


    /**
     * 查询规则列表
     * 
     * @param cphRules 规则
     * @return 规则集合
     */
    public List<CphRules> selectCphRulesList(CphRules cphRules);

    /**
     * 新增规则
     * 
     * @param cphRules 规则
     * @return 结果
     */
    public int insertCphRules(CphRules cphRules);

    /**
     * 修改规则
     * 
     * @param cphRules 规则
     * @return 结果
     */
    public int updateCphRules(CphRules cphRules);

    /**
     * 删除规则
     * 
     * @param ruleId 规则主键
     * @return 结果
     */
    public int deleteCphRulesByRuleId(Long ruleId);

    /**
     * 批量删除规则
     * 
     * @param ruleIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCphRulesByRuleIds(Long[] ruleIds);
}
